Bug 824702 - RFE: Assigned writer for new topics via CSP
RFE: Assigned writer for new topics via CSP
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 23:11 EDT by Misha H. Ali
Modified: 2012-08-20 23:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 04:51:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-05-23 23:11:13 EDT
It would be handy to be able to add the assigned writer value for individual topics as well as at the section or chapter level. For example:

Chapter: First Chapter
  Topic1
  Topic2
  Section: First Section [gsheldon]
    Topic3
    Topic4
  Section: Second Section
    Topic5
    Topic6

Such a tag would allow me to specify a writer that is not creating the topics using the content specs, who should be the assigned writer for a set of topics or a single topic. If someone is more knowledgeable about, say, security topics, it would be handy to be able to assign them as the default owner of any new topics that are created in that chapter. Sort of like the bugzilla default component owner component where they get them by default but can reassign them in Skynet if required.
Comment 1 Lee Newson 2012-05-24 18:35:43 EDT
You should be able to do this currently, I'll verify after my RHCE exam. However the syntax is as follows (using your example):

Chapter: First Chapter
  Topic1
  Topic2
  Section: First Section [Writer = gsheldon]
    Topic3
    Topic4
  Section: Second Section
    Topic5
    Topic6
Comment 2 Misha H. Ali 2012-05-24 18:39:56 EDT
Awesome. If we can do that at the chapter level as well, we should close this bug. Thanks, Lee!
Comment 3 Lee Newson 2012-05-27 04:51:03 EDT
Yeah Misha you can do this at the Part, Chapter, Process, Section or Topic level. You could go a bit more complex like:

Chapter: First Chapter [Writer = gsheldon]
  Topic1
  Topic2
  Section: First Section [Writer = mhusnain]
    Topic3
    Topic4
  Section: Second Section
    Topic5
    Topic6

That would assign gemma as the writer for everything in the section except the "First Section" in which case you'd be the assigned writer.

Anyways I check this locally and it worked for me so if you have any issues feel free to re-open this bug. :)

Note You need to log in before you can comment on or make changes to this bug.